Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Protocol_Endpoint_Selector Class Reference

TAO_Protocol_Endpoint_Selector. More...

`#include <RT_Invocation_Endpoint_Selectors.h>`

Inheritance diagram for TAO_Protocol_Endpoint_Selector

[legend]
Collaboration diagram for TAO_Protocol_Endpoint_Selector:

[legend]
List of all members.

## Public Methods
| TAO_Protocol_Endpoint_Selector (void)
| Constructor.
virtual | ~TAO_Protocol_Endpoint_Selector (void)
| Destructor.
virtual void | select_endpoint (TAO_GIOP_Invocation *invocation, CORBA::Environment &ACE_TRY_ENV)
virtual void | next (TAO_GIOP_Invocation *invocation, CORBA::Environment &ACE_TRY_ENV)
virtual void | forward (TAO_GIOP_Invocation *invocation, const TAO_MProfile &mprofile, CORBA::Environment &ACE_TRY_ENV)
virtual void | success (TAO_GIOP_Invocation *invocation)
virtual void | close_connection (TAO_GIOP_Invocation *invocation)

## Detailed Description

TAO_Protocol_Endpoint_Selector.

This strategy is used when only RTCORBA::ClientProtocolPolicy is set or RTCORBA::ClientProtocolPolicy plus RTCORBA::SERVER_DECLARED priority model.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Protocol_Endpoint_Selector::TAO_Protocol_Endpoint_Selector ( | void )

| Constructor.

TAO_Protocol_Endpoint_Selector::~TAO_Protocol_Endpoint_Selector ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

void TAO_Protocol_Endpoint_Selector::close_connection ( | TAO_GIOP_Invocation * invocation )`[virtual]`

| Reimplemented from TAO_Invocation_Endpoint_Selector.

void TAO_Protocol_Endpoint_Selector::forward ( | TAO_GIOP_Invocation * invocation,
| const TAO_MProfile & mprofile,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Invocation_Endpoint_Selector.

void TAO_Protocol_Endpoint_Selector::next ( | TAO_GIOP_Invocation * invocation,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Invocation_Endpoint_Selector.

void TAO_Protocol_Endpoint_Selector::select_endpoint ( | TAO_GIOP_Invocation * invocation,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Invocation_Endpoint_Selector.

void TAO_Protocol_Endpoint_Selector::success ( | TAO_GIOP_Invocation * invocation )`[virtual]`

| Reimplemented from TAO_Invocation_Endpoint_Selector.

The documentation for this class was generated from the following files:

- RT_Invocation_Endpoint_Selectors.h
- RT_Invocation_Endpoint_Selectors.cpp
- RT_Invocation_Endpoint_Selectors.i